/*
 * Copyright (c) 2007 NTT DATA Corporation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package jp.terasoluna.rich.functionsample.informationcontrol.bean;

import java.io.Serializable;
import java.util.Date;

/**
 * リクエスト名、ユーザID、パスワードを保持するクラス
 * 
 */
public class InformationControlResultData implements Serializable {
    
   /**
     * シリアルバージョンID
     */
    private static final long serialVersionUID = 2875303955445175016L;

     /**
     * リクエスト名
     */
    private String requestName = null;
    
    /**
     * ユーザId
     */
    private String userId = null;
    
    /**
     * パスワード
     */
    private String password = null;

    /**
     * アクセス時刻
     */
    private Date accessDate = null;

    
    /**
     * パスワードを取得する。
     * @return パスワード
     */
    public String getPassword() {
        return password;
    }

    /**
     * パスワードを設定する。
     * @param password パスワード
     */
    public void setPassword(String password) {
        this.password = password;
    }

    /**
     * リクエスト名を取得する。
     * @return リクエスト名
     */
    public String getRequestName() {
        return requestName;
    }

    /**
     * リクエスト名を設定する。
     * @param requestName リクエスト名
     */
    public void setRequestName(String requestName) {
        this.requestName = requestName;
    }

    /**
     * ユーザIdを取得する。
     * @return ユーザId
     */
    public String getUserId() {
        return userId;
    }

    /**
     * ユーザIdを設定する。
     * @param userId ユーザId
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    /**
     * アクセス時刻を取得する。 
     * @return アクセス時刻
     */
    public Date getAccessDate() {
        return accessDate;
    }

    /**
     * アクセス時刻を設定する。
     * @param accessDate アクセス時刻
     */
    public void setAccessDate(Date accessDate) {
        this.accessDate = accessDate;
    }
}
